def sample_field(gridname):
    import glob
    import iris
    
    datadir = # Directory where sample fields are held
    ffile = glob.glob(datadir + gridname + '.*')
    if len(ffile) > 1:
        print('More than one file exists for this grid: ambiguous.')
        return 0
    
    field = iris.load_cube(ffile)
    return field


def landmask(gridname):
    pass


def area_weights(gridname):
    import glob
    import iris
    
    datadir = # Directory where area weights fields are held
    ffile = glob.glob(datadir + gridname + '.*')
    if len(ffile) > 1:
        print('More than one file exists for this grid: ambiguous.')
        return 0
    
    field = iris.load_cube(ffile)
    return field.data


def make_sample(field,fieldname):
    import iris
    datadir = # Directory where sample field is to be written
    filename = datadir + fieldname+'.nc'
    iris.save(field,filename)


def exists_sample(fieldname):
    import os
    import glob

    datadir = # Directory where sample fields are held
    filename = datadir + fieldname+'.??'
    file_list = glob.glob(filename)
    return (len(file_list) > 0)
